#!/usr/bin/perl -w

## Defines an interface for testing conditions for accepting a link
## when crawling to root.


package GOGraph::Crawl::Accept;

use strict;

=head1 NAME

  GOGraph::Crawl::Accept

=head1 SYNOPSIS

  See GOGraph::Crawl::CrawlToRoot class.

=head1 DESCRIPTION

  This is an abstract class, which defines an interface for determinining
  which semantic links in the GO DAG should be accepted, and which should
  not.

  As well as accepting a link, it also defines a string which define the
  criteria for acceptance. This string is not meant to be semantically
  meaningful, or only to a human.


=head2 accept
  param - an object of type GO::Model::Relationship;
  return - true, or false.

  This method defines a function for testing relationships when
  crawling to the root of the GO graph.

=head2 name
  return - string

  A string which can be used to index the type of Accept.

=head1 AUTHOR

  Phillip Lord (p.lord@russet.org.uk)

=head1 COPYRIGHT

  This code is copyright by the University of Manchester (2002)

=head1 LICENSE

  This module is free software; you can redistribute it or
  modify it under the same terms as Perl itself.

  If you use this software for published research, please
  check my website (http://www.russet.org.uk) for recent
  citation.

=cut



1;
