#!/usr/bin/perl -w

package GOGraph::Crawl::AcceptSubsumption;

=head1 NAME

  GOGraph::Crawl::AcceptSubsumption

=head1 DESCRIPTION

  This class accepts only links which are is-a links.
  See GOGraph::Crawl::Accept
  and GOGraph::Crawl::CrawlToRoot for further details.

  Historically I am really a biologist who has moved to computer
  science, because I'm far too lazy to do the lab work, and am
  therefore surrounding by people who, unlike myself, actually have
  qualifications to do their job.  This leaves me with a deep seated
  sense of insecurity, and therefore I call this class
  "AcceptSubsumption" rather than "AcceptIsa" to proof that I am a
  proper ontologist really. Honestly.

=head1 AUTHOR

  Phillip Lord (p.lord@russet.org.uk)

=head1 COPYRIGHT

  This code is copyright by the University of Manchester (2002)

=head1 LICENSE

  This module is free software; you can redistribute it or
  modify it under the same terms as Perl itself.

  If you use this software for published research, please
  check my website (http://www.russet.org.uk) for recent
  citation.

=cut

use strict;

sub new{
  my $proto = shift;
  my $class = ref($proto) || $proto;

  my $self = {};
  bless $self, $class;

  return $self;
}

sub accept{
  my $self = shift;
  my $relation = shift;

  return $relation->type eq "is_a";
}

sub name{
  return "subsumptionrelationship";
}

1;
