#!/usr/bin/perl -w

package GOGraph::GeneProduct::Collections::AllSGDCollection;

use strict;
use Exporter;
use vars qw{@ISA};

use DBI;
use GOGraph::GOAppHandleFactory;
use GOGraph::GeneProduct::Collections::SimpleCollection;

use base qw{GOGraph::GeneProduct::Collections::SimpleCollection};


sub _fetch{
  my $self = shift;

  my $go_connection = GOGraph::GOAppHandleFactory::go_dbi_connection();

  ## fetch all the swiss prot proteins from the GO database.
  my $fetch_swiss=<<SQL;
select symbol from gene_product, dbxref
  where gene_product.dbxref_id=dbxref.id
  and dbxref.xref_dbname='SGD'
  order by symbol
SQL

  my $go_sth = $go_connection->prepare( $fetch_swiss ) || die "$!";
  $go_sth->execute;

  my @swissprot_terms;
  while( my $swissprot_id_array = $go_sth->fetchrow_arrayref ){
    push( @swissprot_terms,
          $swissprot_id_array->[ 0 ] );
  }

  $go_sth->finish();
  $go_connection->disconnect();
  return \@swissprot_terms;
}

1;
