#!/usr/bin/perl -w


package GOGraph::GeneProduct::SequenceSimilarity::SwissprotSequence;

=head1 AUTHOR

  Phillip Lord (p.lord@russet.org.uk)

=head1 COPYRIGHT

  This code is copyright by the University of Manchester (2002)

=head1 LICENSE

  This module is free software; you can redistribute it or
  modify it under the same terms as Perl itself.

  If you use this software for published research, please
  check my website (http://www.russet.org.uk) for recent
  citation.

=cut

use strict;
##use Config::App::AppProperties;
use Bio::Index::Swissprot;

sub new{
  my $proto = shift;
  my $class = ref( $proto ) || $proto;

  my $self={};
  bless $self, $class;
  ##$self->{config} = Config::App::AppProperties::get_instance;
  $self->_ensure_index;
  return $self;
}

my $index;

sub _ensure_index{
  my $self = shift;

  if( ! defined $index ){
    ## my $properties = $self->{config}->load_config( "datasource.props" );
    ## my $_dat_file = $properties->getProperty( "swissprot.dat" )
    ##   || "sprot.dat";

    ## my $index_file = $properties->getProperty( "swissprot.idx" )
    ##   || "sprot.idx";

    my $_dat_file = "sprot.dat";
    my $index_file = "sprot.idx";

    my $inx = Bio::Index::Swissprot->new
      ('-filename'   => $self->{inx_file},
         '-write_flag' => 'WRITE' );

    $inx->make_index( $_dat_file );
    $self->{inx} = Bio::Index::Swissprot->new('-filename'
                                              => $self->{inx_file} );

    ##$self->{matrix} = $properties->getProperty( "smithwaterman.default.matrix" );
  }

  $self->{inx} = $index;
  return $self->{inx};
}


sub sequence{
  my $self = shift;
  my $accession = shift;

  my $seq = $self->{inx}->fetch( uc ( $accession ) );
  return $seq;
}


1;
