#!/usr/bin/perl -w

use strict;
use CGI qw/:standard *pre/;
use GOGraph::Gosst::ExtractResults;


print header,
  start_html,
  h1( 'GOSST:- Searching SWISS-PROT with the Gene Ontology' ),
  start_form,
  "What SWISS_PROT accession do you want to search with? ",
  textfield( 'accession' ),
  submit,
  end_form;


GOGraph::Gosst::ExtractResults::prepare_extract();
my $results = GOGraph::Gosst::ExtractResults::extract_results
  ( param( 'accession' ) );

print start_pre;

foreach my $cons_name ( keys %$results ){
  my $scores = $results->{$cons_name};

  print h2( "Similarity for $cons_name\n" );

  if( scalar @$scores == 0 ){
    print "No results\n";
  }
  else{
    foreach my $row (@$scores){
      print $row->[ 0 ] . " " . $row->[ 1 ] . " " . $row->[ 2 ] . "\n";
    }
  }
}

print end_pre;

print end_html;
