#!/usr/bin/perl -w

use strict;

use GOGraph::Statistics::GOCompare;
use GOGraph::Similarity::Factory;
use GOGraph::Statistics::PrintOutResults;

$! = 1;


my $term_one = "8281";
my $term_two = "8281";

my $apph = GOGraph::GOAppHandleFactory::go_apph();

$term_one = $apph->get_term({acc=>$term_one});
$term_two = $apph->get_term({acc=>$term_two});


print "Sim between terms " . $term_one->name() . " and "
. $term_two->name() . "\n";

my $comparitors = GOGraph::Similarity::Factory::all_similiarities_array_reference();

foreach my $comparitor (@$comparitors){
  my $sim = $comparitor->similarity_between_terms( $term_one, $term_two );
  my $name = $comparitor->constraint_name();

  print "$name $sim\n";
}


