#!/usr/bin/perl -w

=head1 NAME

  plotblastall

=head1 DESCRIPTION

  Search through all the swissprot proteins, blast each, and dump
  sequence and semantic similarity for each hit, versus query protein.

=head1 AUTHOR

  Phillip Lord (p.lord@russet.org.uk)

=head1 COPYRIGHT

  This code is copyright by the University of Manchester (2002)

=head1 LICENSE

  This module is free software; you can redistribute it or
  modify it under the same terms as Perl itself.

  If you use this software for published research, please
  check my website (http://www.russet.org.uk) for recent
  citation.

=cut
use strict;

use GOGraph::Statistics::BlastDispatcher;
use GOGraph::Statistics::GOCompare;
use GOGraph::Similarity::Factory;



$| = 1;
my $comparitors =
  GOGraph::Similarity::Factory::resnick_similarities_array_reference();

push( @$comparitors,
      @{GOGraph::Similarity::Factory::lin_similarities_array_reference()}
    );

push( @$comparitors,
      @{GOGraph::Similarity::Factory::jiang_similarities_array_reference()}
    );

my $goaspect = GOGraph::Statistics::GOCompare->new( $comparitors );
my $dispatcher = GOGraph::Statistics::BlastDispatcher->new
  ( $goaspect );



$dispatcher->straight_blast_hits();


