#!/usr/bin/perl -w

use strict;
use Getopt::Long;

my $reverse = 0;
my $bin_size = 0.01;


GetOptions( 'reverse' => \$reverse,  'binsize=f' => \$bin_size );


my @y_average;
my @sum_ofy_squared;
my @numberinbin;
my @standard_dev;


while(<>){
  my ( $x, $y ) = split;

  if( $reverse ){
    ($x, $y) = ($y, $x);
  }

  my $xbin = int $x / $bin_size;
  $y_average[ $xbin ] += $y;

  $sum_ofy_squared[ $xbin ] += $y * $y;

  $numberinbin[ $xbin ] += 1;
}


for( my $i = 0;
     $i < 100;
     $i++ ){

  if( defined $numberinbin[ $i ] ){
    $y_average[ $i ] = $y_average[ $i ] / $numberinbin[ $i ];
    my $variance = ( $sum_ofy_squared[ $i ] / $numberinbin[ $i ] ) -
      ( ($y_average[ $i ] * $y_average[ $i ] ) );
    if( $variance < 0 ){
      $variance = 0;
    }
    $standard_dev[ $i ] = sqrt( $variance );
    print $i * $bin_size . " " . $y_average[ $i ] . " " .  $standard_dev[ $i ] . "\n";
  }
}
