#!/usr/bin/perl -w

package GOGraph::Statistics::FileOutResults;

=head1 NAME

  GOGraph::Statistics::FiletOutResults;

=head1 DESCRIPTION

  Simple output handler that simple prints the result out to file.

=cut

use Exporter;
use strict;

use vars qw(@ISA);
use base qw(GOGraph::Statistics::GOCompareOutputHandler Exporter);
use GOGraph::Statistics::GOCompareOutputHandler;

$| = 1;

sub _initialize{
  my $self = shift;
  my $comparitor_name = $self->{comparitor_name};

  if( defined $comparitor_name ){
    my $filehandle = FileHandle->new( "> blast_"
                                      . $comparitor_name . ".dat" ) || croak $!;
    $filehandle->autoflush();
    $self->{filehandle} = $filehandle;
  }
}

sub process_result{
  my $self = shift;

  my $semantic_similarity = shift;

  my $acc = shift;
  my $match_acc = shift;
  my $sequence_similarity = shift;

  if( $semantic_similarity >= 0 ){
    $self->{filehandle}->print( "$sequence_similarity $semantic_similarity $acc $match_acc\n" );
  }
}


1;
