#!/usr/bin/perl -w

=head1 NAME

  CountDepth

=head1 DESCRIPTION

  Iterates through the graph and finds the deepest terms, or rather the longest paths.
  It prints out the longest (and actually the shortest path ending in a leaf), as it
  goes so that you have something to look at.

=head1 AUTHOR

  Phillip Lord (p.lord@russet.org.uk)

=head1 COPYRIGHT

  This code is copyright by the University of Manchester (2002)

=head1 LICENSE

  This module is free software; you can redistribute it or
  modify it under the same terms as Perl itself.

  If you use this software for published research, please
  check my website (http://www.russet.org.uk) for recent
  citation.

=cut

use GOGraph::Statistics::Scripts::CountDepths;

use GOGraph::GOAppHandleFactory;

my $apph = GOGraph::GOAppHandleFactory::go_apph();


my $root_terms = $apph->get_ontology_root_terms();

foreach my $start_term ( @$root_terms ){
  print "For aspect " . $start_term->name . "\n";
  my $results = GOGraph::Statistics::Scripts::CountDepths::count_depths( $start_term );
}
