#!/usr/bin/perl -w

use strict;
use Test;
use lib 't', 'lib';

use GOGraph::Similarity::Factory;
use GOGraph::GOAppHandleFactory;
use GOGraph::Crawl::CrawlToRoot;
use GOGraph::Crawl::AcceptSubsumption;
use GOGraph::Crawl::AcceptAll;


BEGIN{ plan tests => 3 }


my $apph = GOGraph::GOAppHandleFactory::go_apph();

my @terms = [];
$terms[ 0 ] = $apph->get_term_by_acc( 7610 );
$terms[ 1 ] = $apph->get_term_by_acc( 16032 );

my $accept = GOGraph::Crawl::AcceptSubsumption->new();
my $crawl = GOGraph::Crawl::CrawlToRoot->new( $accept );

my $accept_all = GOGraph::Crawl::AcceptAll->new();
my $crawl_all = GOGraph::Crawl::CrawlToRoot->new( $accept_all );


ok( 1 );


print_terms( $crawl->crawl_to_root( $terms[ 0 ] ) );
print_terms( $crawl->crawl_to_root( $terms[ 1 ] ) );


ok( 1 );

print_terms( $crawl_all->crawl_to_root( $terms[ 0 ] ) );
print_terms( $crawl_all->crawl_to_root( $terms[ 1 ] ) );

ok( 1 );


sub print_terms{
  my $terms = shift;
  foreach my $term ( values( %$terms ) ){
    print $term->name . "\n";
  }
}
