#!/usr/bin/perl -w

use strict;
use Test;
use lib '../t', '../lib';


use GOGraph::Crawl::AcceptAll;
use GOGraph::Crawl::AcceptSubsumption;
use GOGraph::Crawl::CrawlToRoot;
use GOGraph::Similarity::InformationContent::Base::Constraints;
use GOGraph::Similarity::InformationContent::Resnick99::ResnickSimilarity;

use GOGraph::GOAppHandleFactory;
use GOGraph::Similarity::Factory;



BEGIN{ plan tests => 4 }


my $sim = GOGraph::Similarity::Factory::resnick_sim_all();


ok( 1 );

my $apph = GOGraph::GOAppHandleFactory::go_apph();



my @terms = [];
$terms[ 0 ] = $apph->get_term_by_acc( 7610 );
$terms[ 1 ] = $apph->get_term_by_acc( 16032 );

my $similarity = $sim->similarity_between_terms( $terms[ 0 ], $terms[ 1 ] );

print "Similarity between terms is $similarity\n";


ok( 1 );


$sim = GOGraph::Similarity::Factory::resnick_sim_subsumption();

my $similarity2 = $sim->similarity_between_terms( $terms[ 0 ], $terms[ 1 ] );

print "Similarity between terms is $similarity2\n";

ok( 1 );

## it should be, although of course this depends on the data in the database!
ok( $similarity2 > $similarity );
