#!/usr/bin/perl -w

=head1 NAME

  compare_proteins

=head1 DESCRIPTION

  Compare the semantic similarity of two proteins.

=head1 AUTHOR

  Phillip Lord (p.lord@russet.org.uk)

=head1 COPYRIGHT

  This code is copyright by the University of Manchester (2002)

=head1 LICENSE

  This module is free software; you can redistribute it or
  modify it under the same terms as Perl itself.

  If you use this software for published research, please
  check my website (http://www.russet.org.uk) for recent
  citation.

=cut

use strict;

use GOGraph::Statistics::GOCompare;
use GOGraph::Similarity::Factory;
use GOGraph::Statistics::PrintOutResults;
$! = 1;


my $protein_one = "ADE6";
my $protein_two = "ADE6" ;

my $comparitors = [];

push @$comparitors, GOGraph::Similarity::Factory::resnick_constraint
  ( GOGraph::Similarity::Factory::constraint_subsumption_relation_function_terms());


#push @$comparitors, GOGraph::Similarity::Factory::resnick_aspect_function_good();
#push @$comparitors, GOGraph::Similarity::Factory::resnick_aspect_process_good();
#push @$comparitors, GOGraph::Similarity::Factory::resnick_aspect_component_good();

my $printout = GOGraph::Statistics::PrintOutResults->new();

my $goaspect = GOGraph::Statistics::GOCompare->new
  ( $comparitors, $printout );
$goaspect->compare( $protein_one, $protein_two );


$goaspect = GOGraph::Statistics::GOCompare->new
  ( $comparitors, GOGraph::Statistics::PrintOutResults->new() );


$goaspect->compare( $protein_one, $protein_two );

